Groovy 1.7.10

## org.codehaus.groovy.runtime.metaclass
[Java] Class ConcurrentReaderHashMap.Entry

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.Entry

All Implemented Interfaces:
  Entry

    protected static class ConcurrentReaderHashMap.Entry

ConcurrentReaderHashMap collision list entry.

Field Summary
`protected int` | `hash`
`protected Object` | `key`
`protected Entry` | `next`
`protected Object` | `value`

Method Summary
`boolean` | `equals(Object o)`
`Object` | `getKey()`
`Object` | `getValue()` Get the value.
`int` | `hashCode()`
`Object` | `setValue(Object value)` Set the value of this entry.
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### hash

    protected final int hash

### key

    protected final Object key

### next

    protected final Entry next

### value

    protected Object value

Method Detail

### equals

    public boolean equals(Object o)

### getKey

    public Object getKey()

### getValue

    public Object getValue()

  Get the value. Note: In an entrySet or entrySet.iterator, unless the set or iterator is used under synchronization of the table as a whole (or you can otherwise guarantee lack of concurrent modification), `getValue` might return null, reflecting the fact that the entry has been concurrently removed. However, there are no assurances that concurrent removals will be reflected using this method.
  Returns:
    the current value, or null if the entry has been detectably removed.

### hashCode

    public int hashCode()

### setValue

    public Object setValue(Object value)

  Set the value of this entry. Note: In an entrySet or entrySet.iterator), unless the set or iterator is used under synchronization of the table as a whole (or you can otherwise guarantee lack of concurrent modification), `setValue` is not strictly guaranteed to actually replace the value field obtained via the `get` operation of the underlying hash table in multithreaded applications. If iterator-wide synchronization is not used, and any other concurrent `put` or `remove` operations occur, sometimes even to other entries, then this change is not guaranteed to be reflected in the hash table. (It might, or it might not. There are no assurances either way.)
  Throws:
    NullPointerException if the value is `null`.
  Parameters:
    `value` - the new value.
  Returns:
    the previous value, or null if entry has been detectably removed.

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.